## python-fabio 0.9.0+dfsg

=== requirements.txt ===
#List of dependecies used by PIP but also by ReadTheDocs to generate the documentation on the fly
numpy
cython
lxml
sphinx
sphinxcontrib-programoutput

=== debian/changelog ===
python-fabio (0.9.0+dfsg-4build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:22:51 +0100

python-fabio (0.9.0+dfsg-4) unstable; urgency=medium

  * d/t/control: Added the allow-stderr restriction, since warning
    messages are emitted during tests.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 24 Nov 2019 09:52:19 +0100

python-fabio (0.9.0+dfsg-3) unstable; urgency=medium

  [ Alexandre Marie ]
  * Fixed autopkgtest with ec7a2d1 commit from upstream. (Closes: #942887)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 23 Nov 2019 15:35:06 +0100

python-fabio (0.9.0+dfsg-2) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP.
  * Use debhelper-compat instead of debian/compat.
  * Removed Python2 module (Closes: #937745).
  * d/control: switched to compat level 12.
    - d/rules: Use --doc-main-package python3-fabio
  * Bump Standards-Version 4.4.1.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 19 Oct 2019 13:25:00 +0200

python-fabio (0.9.0+dfsg-1) unstable; urgency=medium

  * Uploaded into unstable

 -- Marie Alexandre <alexandre.marie@synchrotron-soleil.fr>  Mon, 08 Jul 2019 11:31:53 +0200

python-fabio (0.9.0+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 0.9.0+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 27 May 2019 09:52:57 +0200

=== debian/control ===
Source: python-fabio
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Kieffer <jerome.kieffer@esrf.fr>,
           Picca Frédéric-Emmanuel <picca@debian.org>
Section: science
Priority: optional
Build-Depends: cython3,
               cython3-dbg,
               debhelper-compat (= 12),
               dh-python,
               help2man,
               libjs-mathjax,
               pandoc,
               python3-all-dbg,
               python3-all-dev,
               python3-h5py,
               python3-h5py-dbg,
               python3-lxml,
               python3-lxml-dbg,
               python3-matplotlib,
               python3-matplotlib-dbg,
               python3-nbsphinx,
               python3-numpy,
               python3-numpy-dbg,
               python3-pil,
               python3-pil-dbg,
               python3-pyqt5,
               python3-pyqt5-dbg,
               python3-setuptools,
               python3-six,
               python3-sphinx (>= 1.4.9),
               python3-sphinxcontrib.programoutput,
               xauth,
               xvfb
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/science-team/python-fabio
Vcs-Git: https://salsa.debian.org/science-team/python-fabio.git
Homepage: https://github.com/silx-kit/fabio

Package: fabio-viewer
Architecture: all
Section: science
Depends: python3-fabio (>= ${source:Version}),
         ${misc:Depends},
         ${python3:Depends}
Breaks: python-fabio (<< 0.2.2+dfsg-2~)
Replaces: python-fabio (<< 0.2.2+dfsg-2~)
Description: Viewer for images produced by 2D X-ray detector
 FabIO is an I/O library for images produced by 2D X-ray detectors and
 written in Python. FabIO support images detectors from a dozen of
 companies (including Mar, Dectris, ADSC, Hamamatsu, Oxford, ...), for
 a total of 20 different file formats (like CBF, EDF, TIFF, ...) and
 offers an unified interface to their headers (as a Python dictionary)
 and datasets (as a numpy ndarray of integers or floats)
 .
 Binaries provided with python-fabio

Package: python3-fabio
Architecture: any
Section: python
Depends: python3-h5py,
         python3-lxml,
         python3-matplotlib,
         python3-pil,
         python3-pyqt5,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Suggests: python-fabio-doc
Description: I/O library for images produced by 2D X-ray detector - Python3
 FabIO is an I/O library for images produced by 2D X-ray detectors and
 written in Python. FabIO support images detectors from a dozen of
 companies (including Mar, Dectris, ADSC, Hamamatsu, Oxford, ...), for
 a total of 20 different file formats (like CBF, EDF, TIFF, ...) and
 offers an unified interface to their headers (as a Python dictionary)
 and datasets (as a numpy ndarray of integers or floats)
 .
 This is the Python 3 version of the package.

Package: python3-fabio-dbg
Architecture: any
Section: debug
Depends: python3-dbg,
         python3-fabio (= ${binary:Version}),
         python3-h5py-dbg,
         python3-lxml-dbg,
         python3-matplotlib-dbg,
         python3-numpy-dbg,
         python3-pil-dbg,
         python3-pyqt5-dbg,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: I/O library for images produced by 2D X-ray detector - Python3 debug
 FabIO is an I/O library for images produced by 2D X-ray detectors and
 written in Python. FabIO support images detectors from a dozen of
 companies (including Mar, Dectris, ADSC, Hamamatsu, Oxford, ...), for
 a total of 20 different file formats (like CBF, EDF, TIFF, ...) and
 offers an unified interface to their headers (as a Python dictionary)
 and datasets (as a numpy ndarray of integers or floats)
 .
 This package contains the extension built for the Python 3 debug
 interpreter.

Package: python-fabio-doc
Architecture: all
Section: doc
Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
Description: I/O library for images produced by 2D X-ray detector - documentation
 FabIO is an I/O library for images produced by 2D X-ray detectors and
 written in Python. FabIO support images detectors from a dozen of
 companies (including Mar, Dectris, ADSC, Hamamatsu, Oxford, ...), for
 a total of 20 different file formats (like CBF, EDF, TIFF, ...) and
 offers an unified interface to their headers (as a Python dictionary)
 and datasets (as a numpy ndarray of integers or floats)
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fabio
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
        # remove the cython generated files distributed by upstream
	rm -f $(patsubst %.pyx,%.c,$(wildcard fabio/ext/*.pyx))
	rm -rf doc/build/html
	rm -rf build/man
	rm -rf *.egg-info
	dh_clean

override_dh_auto_build:
	dh_auto_build
	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="PYTHONPATH={build_dir} xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} setup.py build_man" dh_auto_build

override_dh_auto_test:
#       https://github.com/silx-kit/fabio/issues/153
#	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' FABIO_TESTIMAGES=testimages xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} ./run_tests.py" dh_auto_test

override_dh_install:
	dh_install
	dh_numpy3

        # install scripts into fabio-viewer
	python3 setup.py install_scripts -d debian/fabio-viewer/usr/bin

override_dh_installman:
	dh_installman -p fabio-viewer build/man/*.1

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYBUILD_SYSTEM=custom \
	PYBUILD_BUILD_ARGS="cd doc && PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' {interpreter} -m sphinx -N -bhtml source build/html" dh_auto_build  # HTML generator
	dh_installdocs "doc/build/html" -p python-fabio-doc --doc-main-package=python3-fabio
	dh_link -p python-fabio-doc /usr/share/javascript/mathjax /usr/share/doc/python-fabio/html/_static/mathjax
	dh_sphinxdoc -X_static/mathjax -O--buildsystem=pybuild
endif

=== debian/tests/control ===
Test-Command: set -efu
 ; cp run_tests.py setup.py version.py README.rst "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py run_tests.py -v -m --installed
 ; done
Depends: python3-all, python3-fabio, python3-setuptools
Restrictions: allow-stderr

Test-Command: set -efu
 ; cp run_tests.py setup.py version.py README.rst "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py-dbg:"
 ; $py-dbg run_tests.py -v -m --installed
 ; done
Depends: python3-all-dbg, python3-fabio-dbg, python3-setuptools
Restrictions: allow-stderr

## python-fabio 0.10.0+dfsg

=== debian/changelog ===
python-fabio (0.10.0+dfsg-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 06 Apr 2020 09:03:01 +0200

python-fabio (0.10.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.10.0+dfsg (Closes: #955595)
  * d/t/control: using -v during test (Closes: #888092)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 04 Apr 2020 11:26:33 +0200

## python-fabio 0.10.2+dfsg

=== debian/changelog ===
python-fabio (0.10.2+dfsg-2) unstable; urgency=medium

  * d/p/0005-fix-autopkgtests.patch (Closes: #963818)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 04 Aug 2020 17:19:46 +0200

python-fabio (0.10.2+dfsg-1) unstable; urgency=medium

  * New upstream version 0.10.2+dfsg
  * d/t/control: Added needs-internet restriction.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Remove Section on fabio-viewer that duplicates source.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 16 May 2020 14:22:59 +0200

=== debian/control ===
--- 
+++ 
@@ -32,14 +32,13 @@
                python3-sphinxcontrib.programoutput,
                xauth,
                xvfb
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-fabio
 Vcs-Git: https://salsa.debian.org/science-team/python-fabio.git
 Homepage: https://github.com/silx-kit/fabio
 
 Package: fabio-viewer
 Architecture: all
-Section: science
 Depends: python3-fabio (>= ${source:Version}),
          ${misc:Depends},
          ${python3:Depends}

=== debian/tests/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  ; $py run_tests.py -v -m --installed
  ; done
 Depends: python3-all, python3-fabio, python3-setuptools
-Restrictions: allow-stderr
+Restrictions: allow-stderr, needs-internet
 
 Test-Command: set -efu
  ; cp run_tests.py setup.py version.py README.rst "$AUTOPKGTEST_TMP"
@@ -16,4 +16,4 @@
  ; $py-dbg run_tests.py -v -m --installed
  ; done
 Depends: python3-all-dbg, python3-fabio-dbg, python3-setuptools
-Restrictions: allow-stderr
+Restrictions: allow-stderr, needs-internet

## python-fabio 0.11.0%2Bdfsg

=== debian/changelog ===
python-fabio (0.11.0+dfsg-3) unstable; urgency=medium

  *  python-fabio: autopkgtest needs update (Closes: #988001)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 04 May 2021 11:36:13 +0200

python-fabio (0.11.0+dfsg-2) unstable; urgency=medium

  * fixed build option name nodocs -> nodoc
  * d/t/control: do not run test with python3-dbg (Closes: #981810).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 10 Feb 2021 01:32:43 +0100

python-fabio (0.11.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.11.0+dfsg
  * d/p/0005-fix-autopkgtests.patch (removed applyed upstream).
  * d/control: Added Build-Depends python3-sphinx-rtd-theme

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 06 Jan 2021 14:18:17 +0100

=== debian/control ===
--- 
+++ 
@@ -30,6 +30,7 @@
                python3-six,
                python3-sphinx (>= 1.4.9),
                python3-sphinxcontrib.programoutput,
+               python3-sphinx-rtd-theme,
                xauth,
                xvfb
 Standards-Version: 4.5.0

## python-fabio 0.11.0+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -2,5 +2,8 @@
 numpy
 cython
 lxml
+h5py
+hdf5plugin
 sphinx
 sphinxcontrib-programoutput
+sphinx-rtd-theme

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/FabIO.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/FabIO.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/FabIO"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/FabIO"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	dh_installman -p fabio-viewer build/man/*.1
 
 override_dh_sphinxdoc:
-ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
+ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	PYBUILD_SYSTEM=custom \
 	PYBUILD_BUILD_ARGS="cd doc && PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' {interpreter} -m sphinx -N -bhtml source build/html" dh_auto_build  # HTML generator
 	dh_installdocs "doc/build/html" -p python-fabio-doc --doc-main-package=python3-fabio

=== debian/tests/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  ; for py in $(py3versions -r 2>/dev/null)
  ; do cd "$AUTOPKGTEST_TMP"
  ; echo "Testing with $py-dbg:"
- ; $py-dbg run_tests.py -v -m --installed
+ ; $py-dbg run_tests.py -v -m --installed || true
  ; done
 Depends: python3-all-dbg, python3-fabio-dbg, python3-setuptools
 Restrictions: allow-stderr, needs-internet

## python-fabio 0.13.0+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #List of dependecies used by PIP but also by ReadTheDocs to generate the documentation on the fly
 numpy
 cython
-lxml
+lxml>=4.6.3
 h5py
 hdf5plugin
 sphinx

=== debian/changelog ===
python-fabio (0.13.0+dfsg-1build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 19:27:04 +0000

python-fabio (0.13.0+dfsg-1) unstable; urgency=medium

  [ Andrius Merkys ]
  * Adding myself to the Uploaders.

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 0.13.0+dfsg
  * Add missing build dependency on dh addon.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.
  * d/control: Added Debian PaN Maintainers as Maintainer.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 19 Jan 2022 15:46:08 +0100

python-fabio (0.12.0+dfsg-2) unstable; urgency=medium

  * Bug fix: "Removal of the python3-*-dbg packages in sid/bookworm",
    thanks to Matthias Klose (Closes: #994353).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 19 Sep 2021 16:09:04 +0200

python-fabio (0.12.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.12.0+dfsg
  * Update standards version to 4.5.1, no changes needed.
  * Apply multi-arch hints.
    + python3-fabio-dbg: Add Multi-Arch: same.
  * d/control: Use dh-sequence-[numpy3,python3,sphinxdoc]
  * d/rules:
    + Simplified thanks to dh-sequence-X
    + Used execute_[before|after] targets

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 05 Sep 2021 15:08:50 +0200

## python-fabio 0.14.0+dfsg

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #List of dependecies used by PIP but also by ReadTheDocs to generate the documentation on the fly
+setuptools<60
 numpy
 cython
 lxml>=4.6.3

=== debian/changelog ===
python-fabio (0.14.0+dfsg-2) unstable; urgency=medium

  * adapted to setuptools > 60 (Closes: #1022440).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 03 Nov 2022 09:19:06 +0100

python-fabio (0.14.0+dfsg-1) unstable; urgency=medium

  * New upstream version 0.14.0+dfsg

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 04 Jun 2022 14:03:02 +0200

=== debian/control ===
Source: python-fabio
Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders:
 Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
 Jerome Kieffer <jerome.kieffer@esrf.fr>,
 Picca Frédéric-Emmanuel <picca@debian.org>,
 Andrius Merkys <merkys@debian.org>,
Section: science
Priority: optional
Build-Depends:
 cython3,
 debhelper,
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-numpy3,
 dh-sequence-python3,
 help2man,
 libjs-mathjax,
 pandoc,
 python3-all-dev,
 python3-h5py,
 python3-lxml,
 python3-matplotlib,
 python3-nbsphinx,
 python3-numpy,
 python3-pil,
 python3-pyqt5,
 python3-setuptools,
 python3-six,
 python3-sphinx (>= 1.4.9),
 python3-sphinx-rtd-theme,
 python3-sphinxcontrib.programoutput,
 xauth,
 xvfb,
Build-Depends-Indep:
 dh-sequence-sphinxdoc <!nodoc>,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/science-team/python-fabio
Vcs-Git: https://salsa.debian.org/science-team/python-fabio.git
Homepage: https://github.com/silx-kit/fabio

Package: fabio-viewer
Architecture: all
Depends:
 python3-fabio (>= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-fabio (<< 0.2.2+dfsg-2~),
Replaces:
 python-fabio (<< 0.2.2+dfsg-2~),
Description: Viewer for images produced by 2D X-ray detector
 FabIO is an I/O library for images produced by 2D X-ray detectors and
 written in Python. FabIO support images detectors from a dozen of
 companies (including Mar, Dectris, ADSC, Hamamatsu, Oxford, ...), for
 a total of 20 different file formats (like CBF, EDF, TIFF, ...) and
 offers an unified interface to their headers (as a Python dictionary)
 and datasets (as a numpy ndarray of integers or floats)
 .
 Binaries provided with python-fabio

Package: python3-fabio
Architecture: any
Section: python
Depends:
 python3-h5py,
 python3-lxml,
 python3-matplotlib,
 python3-pil,
 python3-pyqt5,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Suggests:
 python-fabio-doc,
Description: I/O library for images produced by 2D X-ray detector - Python3
 FabIO is an I/O library for images produced by 2D X-ray detectors and
 written in Python. FabIO support images detectors from a dozen of
 companies (including Mar, Dectris, ADSC, Hamamatsu, Oxford, ...), for
 a total of 20 different file formats (like CBF, EDF, TIFF, ...) and
 offers an unified interface to their headers (as a Python dictionary)
 and datasets (as a numpy ndarray of integers or floats)
 .
 This is the Python 3 version of the package.

Package: python-fabio-doc
Architecture: all
Section: doc
Depends:
 libjs-mathjax,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: I/O library for images produced by 2D X-ray detector - documentation
 FabIO is an I/O library for images produced by 2D X-ray detectors and
 written in Python. FabIO support images detectors from a dozen of
 companies (including Mar, Dectris, ADSC, Hamamatsu, Oxford, ...), for
 a total of 20 different file formats (like CBF, EDF, TIFF, ...) and
 offers an unified interface to their headers (as a Python dictionary)
 and datasets (as a numpy ndarray of integers or floats)
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fabio
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/

%:
	dh $@ --buildsystem=pybuild

execute_before_dh_clean:
        # remove the cython generated files distributed by upstream
	rm -f $(patsubst %.pyx,%.c,$(wildcard fabio/ext/*.pyx))
	rm -rf doc/build/html
	rm -rf build/man
	rm -rf *.egg-info

override_dh_auto_build-arch:
	dh_auto_build

override_dh_auto_build-indep: override_dh_auto_build-arch
	dh_auto_build -- -s custom --build-args="PYTHONPATH={build_dir} xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} setup.py build_man"

ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	dh_auto_build -- -s custom --build-args="cd doc && PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' {interpreter} -m sphinx -N -bhtml source build/html"
endif

override_dh_auto_test:
#       https://github.com/silx-kit/fabio/issues/153
#	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="PYTHONPATH={build_dir} http_proxy='127.0.0.1:9' FABIO_TESTIMAGES=testimages xvfb-run -a --server-args=\"-screen 0 1024x768x24\" {interpreter} ./run_tests.py" dh_auto_test

execute_after_dh_auto_install-indep:
        # install scripts into fabio-viewer
	python3 setup.py install_scripts -d debian/fabio-viewer/usr/bin

execute_after_dh_installdocs:
	dh_installdocs -p python-fabio-doc "doc/build/html" --doc-main-package=python3-fabio

execute_after_dh_installman:
	dh_installman -p fabio-viewer build/man/*.1

execute_after_dh_link:
	dh_link -p python-fabio-doc /usr/share/javascript/mathjax /usr/share/doc/python-fabio/html/_static/mathjax

override_dh_sphinxdoc:
	dh_sphinxdoc -p python-fabio-doc -X_static/mathjax -O--buildsystem=pybuild

=== debian/tests/control ===
Test-Command: set -efu
 ; cp run_tests.py setup.py version.py README.rst "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py run_tests.py -v -m --installed
 ; done
Depends:
 python3-all,
 python3-fabio,
 python3-setuptools,
Restrictions: allow-stderr, needs-internet

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,\
uversionmangle=s/(rc|a|b|c)/~$1/,\
dversionmangle=s/\+dfsg// \
https://pypi.python.org/packages/source/f/fabio/ \
 fabio-(.+)\.tar\.gz debian uupdate

## python-fabio 2023.6.0

=== requirements.txt ===
#List of dependecies used by PIP 
meson
meson-python
ninja
tomli
numpy
cython
lxml>=4.6.3
h5py
hdf5plugin
sphinx
sphinxcontrib-programoutput
sphinx-rtd-theme

=== debian/changelog ===
python-fabio (2023.6.0-3.1build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 17:13:53 +0000

python-fabio (2023.6.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bug fix for autopkg tests fail with Python 3.12 (Closes: #1056471).

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Thu, 04 Jan 2024 02:28:15 +0000

python-fabio (2023.6.0-3) unstable; urgency=medium

  * Bug fix: "undeclared file conflict between fabio-viewer and
    python3-fabio", thanks to Helmut Grohne (Closes: #1041683).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 22 Jul 2023 13:07:18 +0200

python-fabio (2023.6.0-2) unstable; urgency=medium

  * Bug fix: "python-fabio_2023.6.0-1_ppc64el-buildd.changes REJECTED",
    thanks to Aurelien Jarno (Closes: #1041442).
  * d/rules: reactivated the unit test.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 20 Jul 2023 19:13:04 +0200

python-fabio (2023.6.0-1) unstable; urgency=medium

  * New upstream version 2023.6.0
  * d/control: B-D added pybuild-plugin-pyproject and python3-mesonpy.
  * Update standards version to 4.6.2, no changes needed.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 18 Jul 2023 15:54:09 +0200

=== debian/control ===
--- 
+++ 
@@ -9,32 +9,33 @@
 Priority: optional
 Build-Depends:
  cython3,
- debhelper,
  debhelper-compat (= 13),
  dh-python,
  dh-sequence-numpy3,
  dh-sequence-python3,
- help2man,
- libjs-mathjax,
- pandoc,
+ pybuild-plugin-pyproject,
  python3-all-dev,
  python3-h5py,
  python3-lxml,
  python3-matplotlib,
- python3-nbsphinx,
+ python3-mesonpy (>= 0.11),
  python3-numpy,
  python3-pil,
  python3-pyqt5,
+ python3-pytest <!nocheck>,
+ python3-pytest-xvfb <!nocheck>,
  python3-setuptools,
  python3-six,
- python3-sphinx (>= 1.4.9),
- python3-sphinx-rtd-theme,
- python3-sphinxcontrib.programoutput,
- xauth,
- xvfb,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
-Standards-Version: 4.6.0
+ help2man <!nodoc>,
+ libjs-mathjax <!nodoc>,
+ pandoc <!nodoc>,
+ python3-nbsphinx <!nodoc>,
+ python3-sphinx (>= 1.4.9) <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
+ python3-sphinxcontrib.programoutput <!nodoc>,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/science-team/python-fabio
 Vcs-Git: https://salsa.debian.org/science-team/python-fabio.git
 Homepage: https://github.com/silx-kit/fabio
@@ -47,8 +48,10 @@
  ${python3:Depends},
 Breaks:
  python-fabio (<< 0.2.2+dfsg-2~),
+ python3-fabio (<< 2023.6.0-3~),
 Replaces:
  python-fabio (<< 0.2.2+dfsg-2~),
+ python3-fabio (<< 2023.6.0-3~),
 Description: Viewer for images produced by 2D X-ray detector
  FabIO is an I/O library for images produced by 2D X-ray detectors and
  written in Python. FabIO support images detectors from a dozen of

=== debian/tests/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Test-Command: set -efu
- ; cp run_tests.py setup.py version.py README.rst "$AUTOPKGTEST_TMP"
+ ; cp bootstrap.py pyproject.toml run_tests.py README.rst "$AUTOPKGTEST_TMP"
  ; for py in $(py3versions -r 2>/dev/null)
  ; do cd "$AUTOPKGTEST_TMP"
  ; echo "Testing with $py:"

## python-fabio 2024.4.0

=== debian/changelog ===
python-fabio (2024.4.0-2) unstable; urgency=medium

  * Team upload.
  * Move ${sphinxdoc:Built-Using} from Depends to Built-Using

 -- Timo Röhling <roehling@debian.org>  Mon, 20 May 2024 18:51:40 +0200

python-fabio (2024.4.0-1) unstable; urgency=medium

  * Upload to unstable.

 -- Andrius Merkys <merkys@debian.org>  Thu, 18 Apr 2024 09:40:50 -0400

python-fabio (2024.4.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * Updated to new upstream version 2024.4.0.
  * Removed 0004-autopkgtest-py312.patch.
  * Updated 0003-use-the-system-mathjax.patch to fit new
    upstream version.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Mon, 15 Apr 2024 01:00:00 +0000

python-fabio (2023.10.0-1~exp2) experimental; urgency=medium

  [ Yogeswaran Umasankar ]
  * d/control: Added python3-lxml-html-clean to Build-Depends-Indep.

 -- Andrius Merkys <merkys@debian.org>  Wed, 10 Apr 2024 02:31:03 -0400

python-fabio (2023.10.0-1~exp1) experimental; urgency=medium

  [ Yogeswaran Umasankar ]
  * Updated to new upstream version 2023.10.0. (Closes: #1018820, #1047799)
  * Removed python3-six from Build-Depends in d/control. (Closes: #1064610)
  * Revised d/copyright

 -- Andrius Merkys <merkys@debian.org>  Thu, 04 Apr 2024 07:54:12 -0400

=== debian/control ===
--- 
+++ 
@@ -10,28 +10,24 @@
 Build-Depends:
  cython3,
  debhelper-compat (= 13),
- dh-python,
- dh-sequence-numpy3,
- dh-sequence-python3,
  pybuild-plugin-pyproject,
  python3-all-dev,
  python3-h5py,
  python3-lxml,
- python3-matplotlib,
  python3-mesonpy (>= 0.11),
  python3-numpy,
  python3-pil,
  python3-pyqt5,
+ python3-ipython,
+ python3-tomli,
  python3-pytest <!nocheck>,
- python3-pytest-xvfb <!nocheck>,
- python3-setuptools,
- python3-six,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
  help2man <!nodoc>,
  libjs-mathjax <!nodoc>,
  pandoc <!nodoc>,
  python3-nbsphinx <!nodoc>,
+ python3-lxml-html-clean <!nodoc>,
  python3-sphinx (>= 1.4.9) <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-sphinxcontrib.programoutput <!nodoc>,
@@ -93,6 +89,8 @@
  libjs-mathjax,
  ${misc:Depends},
  ${sphinxdoc:Depends},
+Built-Using:
+ ${sphinxdoc:Built-Using},
 Description: I/O library for images produced by 2D X-ray detector - documentation
  FabIO is an I/O library for images produced by 2D X-ray detectors and
  written in Python. FabIO support images detectors from a dozen of

## python-fabio 2024.9.0

=== requirements.txt ===
--- 
+++ 
@@ -11,3 +11,4 @@
 sphinx
 sphinxcontrib-programoutput
 sphinx-rtd-theme
+nbsphinx

=== debian/changelog ===
python-fabio (2024.9.0-9) unstable; urgency=medium

  * Team upload.
  * Fix test failures with numpy 2.3 (closes: #1114715).

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Oct 2025 01:40:53 +0100

python-fabio (2024.9.0-8) unstable; urgency=medium

  * Team Upload
  * Drop python3-tomli from build-dependencies
  * Apply Multi-Arch: hint
  * Remove profile.log from generated .deb
  * WIP reproducible build, help needed

 -- Alexandre Detiste <tchet@debian.org>  Mon, 28 Jul 2025 19:24:26 +0200

python-fabio (2024.9.0-7) unstable; urgency=medium

  * Add Depends: bitshuffle.

 -- Roland Mas <lolando@debian.org>  Thu, 20 Mar 2025 03:43:58 +0100

python-fabio (2024.9.0-6) unstable; urgency=medium

  * Fix method invocation.
  * Add missing Depends:

 -- Roland Mas <lolando@debian.org>  Wed, 19 Mar 2025 17:03:20 +0100

python-fabio (2024.9.0-5) unstable; urgency=medium

  * Force endianness in testsuite.

 -- Roland Mas <lolando@debian.org>  Wed, 19 Mar 2025 16:12:32 +0100

python-fabio (2024.9.0-4) unstable; urgency=medium

  * Get a writable copy of the array before byteswapping it (for s390x).

 -- Roland Mas <lolando@debian.org>  Sun, 16 Mar 2025 17:59:56 +0100

python-fabio (2024.9.0-3) unstable; urgency=medium

  * Set array as writable before byteswapping it (for s390x).

 -- Roland Mas <lolando@debian.org>  Sun, 16 Mar 2025 16:20:17 +0100

python-fabio (2024.9.0-2) unstable; urgency=medium

  [ Picca Frédéric-Emmanuel ]
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * refresh patch series

  [ Roland Mas ]
  * Update Build-Depends.

 -- Roland Mas <lolando@debian.org>  Sun, 16 Mar 2025 14:03:34 +0100

=== debian/control ===
--- 
+++ 
@@ -5,33 +5,36 @@
  Jerome Kieffer <jerome.kieffer@esrf.fr>,
  Picca Frédéric-Emmanuel <picca@debian.org>,
  Andrius Merkys <merkys@debian.org>,
+ Roland Mas <lolando@debian.org>,
 Section: science
 Priority: optional
 Build-Depends:
+ bitshuffle,
  cython3,
  debhelper-compat (= 13),
  pybuild-plugin-pyproject,
  python3-all-dev,
  python3-h5py,
+ python3-hdf5plugin,
+ python3-ipython,
  python3-lxml,
- python3-mesonpy (>= 0.11),
+ python3-matplotlib,
+ python3-mesonpy,
  python3-numpy,
  python3-pil,
  python3-pyqt5,
- python3-ipython,
- python3-tomli,
  python3-pytest <!nocheck>,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
  help2man <!nodoc>,
  libjs-mathjax <!nodoc>,
  pandoc <!nodoc>,
+ python3-lxml-html-clean <!nodoc>,
  python3-nbsphinx <!nodoc>,
- python3-lxml-html-clean <!nodoc>,
- python3-sphinx (>= 1.4.9) <!nodoc>,
+ python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-sphinxcontrib.programoutput <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-fabio
 Vcs-Git: https://salsa.debian.org/science-team/python-fabio.git
 Homepage: https://github.com/silx-kit/fabio
@@ -43,10 +46,8 @@
  ${misc:Depends},
  ${python3:Depends},
 Breaks:
- python-fabio (<< 0.2.2+dfsg-2~),
  python3-fabio (<< 2023.6.0-3~),
 Replaces:
- python-fabio (<< 0.2.2+dfsg-2~),
  python3-fabio (<< 2023.6.0-3~),
 Description: Viewer for images produced by 2D X-ray detector
  FabIO is an I/O library for images produced by 2D X-ray detectors and
@@ -62,7 +63,9 @@
 Architecture: any
 Section: python
 Depends:
+ bitshuffle,
  python3-h5py,
+ python3-hdf5plugin,
  python3-lxml,
  python3-matplotlib,
  python3-pil,
@@ -84,6 +87,7 @@
 
 Package: python-fabio-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends:
  libjs-mathjax,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fabio
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

TESTS_TO_EXCLUDE="not test_00 and \
not test_openimage and \
not test_frames_abort_iteration and \
not test_frames_full_iteration and \
not test_frames_random_access"
export PYBUILD_TEST_ARGS=fabio -k ${TESTS_TO_EXCLUDE}
export PYBUILD_AFTER_TEST=rm -vf {build_dir}/profile.log
export LC_ALL=C.UTF-8

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_clean:
        # remove the cython generated files distributed by upstream
	rm -f $(patsubst %.pyx,%.c,$(wildcard fabio/ext/*.pyx))
	rm -rf doc/build/html
	rm -rf build/man
	rm -rf *.egg-info
	rm -rf doc/build

override_dh_auto_build-arch:
	PYBUILD_BUILD_ARGS="-Ccompile-args=--verbose" dh_auto_build

override_dh_auto_build-indep: override_dh_auto_build-arch
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	env PYTHONPATH=$(shell pybuild --build -i python3 -s custom --build-args 'echo {build_dir}') \
	SPHINXBUILD="python3 -m sphinx" \
	SPHINXOPTS="-D mathjax_path=MathJax.js" \
	$(MAKE) -C doc html
endif

execute_after_dh_auto_install:
        # install scripts into fabio-viewer
	mkdir -p debian/fabio-viewer/usr/bin
	cp debian/python3-fabio/usr/bin/* debian/fabio-viewer/usr/bin
	rm -rf debian/python3-fabio/usr/bin

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	dh_installdocs -p python-fabio-doc "doc/build/html" --doc-main-package=python3-fabio
	dh_sphinxdoc -p python-fabio-doc -XMathJax.js
endif

execute_before_dh_fixperms:
	# hack until the 1/1/1970 issue is solved by upstream
	-find debian/fabio-viewer -type f | xargs touch -d@${SOURCE_DATE_EPOCH}
	-find debian/python3-fabio -type f | xargs touch -d@${SOURCE_DATE_EPOCH}
	-find debian/python-fabio-doc -type f | xargs touch -d@${SOURCE_DATE_EPOCH}

=== debian/tests/control ===
--- 
+++ 
@@ -9,4 +9,6 @@
  python3-all,
  python3-fabio,
  python3-setuptools,
-Restrictions: allow-stderr, needs-internet
+Restrictions:
+ allow-stderr,
+ needs-internet,

## python-fabio 2025.10.0~adev0

=== debian/changelog ===
python-fabio (2025.10.0~adev0-1~bpo13+1) trixie-backports; urgency=medium

  * upstream development build of fabio 2025.10.0a0
  * fabio snapshot 2025.10.0a0 built for debian13

 -- edna tester <tester@edna-site.org>  Fri, 17 Oct 2025 03:28:44 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,6 @@
 not test_frames_full_iteration and \
 not test_frames_random_access"
 export PYBUILD_TEST_ARGS=fabio -k ${TESTS_TO_EXCLUDE}
-export PYBUILD_AFTER_TEST=rm -vf {build_dir}/profile.log
-export LC_ALL=C.UTF-8
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

## python-fabio 2025.10.0~b1

=== debian/changelog ===
python-fabio (2025.10.0~b1-1~bpo13+1) trixie-backports; urgency=medium

  * upstream development build of fabio 2025.10.0b1
  * fabio snapshot 2025.10.0b1 built for debian13

 -- edna tester <tester@edna-site.org>  Wed, 29 Oct 2025 03:30:32 +0100

## python-fabio 2025.10.0

=== debian/changelog ===
python-fabio (2025.10.0-3) unstable; urgency=medium

  * Team upload.
  * Make reproducible.

 -- Bastian Germann <bage@debian.org>  Tue, 03 Mar 2026 01:17:54 +0100

python-fabio (2025.10.0-2) unstable; urgency=medium

  * Team upload.
  * Depend on PyQt6.

 -- Bastian Germann <bage@debian.org>  Mon, 02 Mar 2026 19:02:12 +0100

python-fabio (2025.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2025.10.0.
  * Build with PyQt6.

 -- Bastian Germann <bage@debian.org>  Fri, 27 Feb 2026 13:00:32 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  cython3,
  debhelper-compat (= 13),
  pybuild-plugin-pyproject,
+ pyqt6-dev-tools <!nocheck>,
  python3-all-dev,
  python3-h5py,
  python3-hdf5plugin,
@@ -22,7 +23,7 @@
  python3-mesonpy,
  python3-numpy,
  python3-pil,
- python3-pyqt5,
+ python3-pyqt6.qtsvg <!nocheck>,
  python3-pytest <!nocheck>,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
@@ -31,6 +32,7 @@
  pandoc <!nodoc>,
  python3-lxml-html-clean <!nodoc>,
  python3-nbsphinx <!nodoc>,
+ python3-pydata-sphinx-theme <!nodoc>,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-sphinxcontrib.programoutput <!nodoc>,
@@ -69,7 +71,9 @@
  python3-lxml,
  python3-matplotlib,
  python3-pil,
- python3-pyqt5,
+# for PyQt6.uic
+ pyqt6-dev-tools,
+ python3-pyqt6.qtsvg,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,14 @@
 not test_frames_full_iteration and \
 not test_frames_random_access"
 export PYBUILD_TEST_ARGS=fabio -k ${TESTS_TO_EXCLUDE}
+export PYBUILD_AFTER_TEST=rm -vf {build_dir}/profile.log
+export LC_ALL=C.UTF-8
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
 execute_before_dh_clean:
-        # remove the cython generated files distributed by upstream
+	# remove the cython generated files distributed by upstream
 	rm -f $(patsubst %.pyx,%.c,$(wildcard fabio/ext/*.pyx))
 	rm -rf doc/build/html
 	rm -rf build/man
@@ -33,7 +35,7 @@
 endif
 
 execute_after_dh_auto_install:
-        # install scripts into fabio-viewer
+	# install scripts into fabio-viewer
 	mkdir -p debian/fabio-viewer/usr/bin
 	cp debian/python3-fabio/usr/bin/* debian/fabio-viewer/usr/bin
 	rm -rf debian/python3-fabio/usr/bin
